declare const _sfc_main: import("vue").DefineComponent<{
    theme: {
        type: StringConstructor;
        default: string;
    };
}, {
    visible: import("vue").Ref<boolean>;
    componentConfig: import("vue").Ref<any>;
    lineRef: import("vue").Ref<any>;
    wrapClassName: import("vue").ComputedRef<string>;
    isMobile: boolean;
    getContainer: () => Element;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    theme: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    theme: string;
}>;
export default _sfc_main;
